<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-success px-3 py-2" (click)="newRow(); openModal(modal, 'Bancos');">
    <i class="fas fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-danger ml-1 px-4 py-2" (click)="printPDF()">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
    <div class="card-body">

        <kendo-grid [data]="dataGrid"
                    [filter]="filter"
                    [filterable]="true"
                    (filterChange)="filterChange($event)"
                    [selectable]="true"
                    [navigable]="true"
                    [reorderable]="true"
                    [resizable]="true"
                    [sort]="sort"
                    [sortable]="true"
                    (sortChange)="sortChange($event)"
                    [groupable]="true"
                    [group]="groups"
                    (groupChange)="groupChange($event)"
                    (edit)="editRow($event); openModal(modal, 'Bancos')"
                    (remove)="deleteRow($event)" style="height: 69vh">
            <div *ngFor="let item of gridFields">
                <kendo-grid-column [field]="item.field" [title]="item.title" [width]="item.width"
                                   [filterable]="item.filtro"></kendo-grid-column>
            </div>
            <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
                <ng-template kendoGridFilterCellTemplate>
                    <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
                    </kendo-switch>
                </ng-template>
                <ng-template kendoGridCellTemplate let-dataItem>
                    <input type="checkbox" [checked]="dataItem.Inactivo" disabled/>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-command-column title="Actions" width="220">
                <ng-template kendoGridCellTemplate let-isNew="isNew">
                    <button kendoGridEditCommand [primary]="true">Editar</button>
                    <button kendoGridRemoveCommand>Eliminar</button>
                </ng-template>
            </kendo-grid-command-column>
            <ng-template kendoGridNoRecordsTemplate>
              {{ noRecords }}
            </ng-template>
        </kendo-grid>


    </div>
</div>


<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row" *ngIf="flagShowForm">
            <form [formGroup]="myFormGroup">
                <div class="row d-flex justify-content-between">
                    <div class="col-9">
                        <label for="Banco">Banco</label>
                        <input type="number" class="form-control" name="Banco"
                               [(ngModel)]="myFormGroup.value.Banco"
                               autofocus formControlName="Banco" [readOnly]="flagEdit"
                               maxlength="3" pattern="[a-zA-Z0-9]*">
                    </div>
                    <div class="col-3">
                        <label for="Inactivo" class="ml-4 w-100">Inactivo</label>
                        <kendo-switch class="ml-4" name="Inactivo" [(ngModel)]="myFormGroup.value.Inactivo"
                                      formControlName="Inactivo"
                                      [onLabel]="'Si'" [offLabel]="'No'">
                        </kendo-switch>
                    </div>

                    <div class="col-9">
                        <label class="mt-1" for="bdesc">Descripción</label>
                        <input type="text" class="form-control" name="bdesc"
                               [(ngModel)]="myFormGroup.value.bdesc"
                               formControlName="bdesc"
                               maxlength="40" pattern="[a-zA-Z0-9 ]*">
                    </div>
                    <div class="col-3">
                        <label for="bcxc" class="w-100 ml-4 mt-1">CxC</label>
                        <kendo-switch class="ml-4" name="bcxc" [(ngModel)]="myFormGroup.value.bcxc"
                                      formControlName="bcxc"
                                      [onLabel]="'Si'" [offLabel]="'No'">
                        </kendo-switch>
                    </div>

                    <div class="col-8">
                        <label class="mt-1" for="bbanco">Cuenta Banco</label>
                        <input type="number" class="form-control" name="bbanco"
                               [(ngModel)]="myFormGroup.value.bbanco"
                               formControlName="bbanco"
                               maxlength="40" pattern="[0-9]*">
                    </div>
                    <div class="col-4">
                        <label class="mt-1" for="Moneda">Moneda</label>
                        <select class="form-control" name="Moneda" [(ngModel)]="myFormGroup.value.Moneda"
                                formControlName="Moneda">
                            <option value="">Seleccione</option>
                            <option *ngFor="let item of dataMonedas"
                                    [value]="item.Moneda">{{ item.Moneda }}</option>
                        </select>
                    </div>

                    <div class="col-6 mt-1">
                        <label for="Cuenta">Cuenta</label>
                        <input type="number" class="form-control" name="Cuenta"
                               [(ngModel)]="myFormGroup.value.Cuenta"
                               formControlName="Cuenta"
                               maxlength="14" pattern="[0-9]*">
                    </div>
                    <div class="col-6 mt-1">
                        <label for="caux">Auxiliar</label>
                        <input type="text" class="form-control" name="caux"
                               [(ngModel)]="myFormGroup.value.caux"
                               formControlName="caux"
                               maxlength="20" pattern="[a-zA-Z0-9]*">
                    </div>

                    <div class="col-6 mt-1">
                        <label for="Cuenta2">Cuenta 2</label>
                        <input type="number" class="form-control" name="Cuenta2"
                               [(ngModel)]="myFormGroup.value.Cuenta2"
                               formControlName="Cuenta2"
                               maxlength="14" pattern="[0-9]*">
                    </div>
                    <div class="col-6 mt-1">
                        <label for="caux2">Auxiliar 2</label>
                        <input type="text" class="form-control" name="caux2"
                               [(ngModel)]="myFormGroup.value.caux2"
                               formControlName="caux2"
                               maxlength="20" pattern="[a-zA-Z0-9]*">
                    </div>

                </div>
            </form>
    </div>
  </div>
  <div class="modal-footer">
      <button class="btn btn-success" (click)="guardarForm(); c();"
      [disabled]="myFormGroup.status === 'INVALID'">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
      <button class="btn btn-secondary" (click)="cerrarForm(); c('Close click')">Cerrar</button>
  </div>
</ng-template>

